package com.jy.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.framework.model.event.ExceptionEvent;
import com.jy.log.model.dto.LogExceptionSelectDto;
import com.jy.log.model.vo.LogExceptionVo;

import java.util.List;

/**
 * <p>
 * 异常日志 服务类
 * </p>
 *
 * @author
 * @since 2024-09-03
 */
public interface LogExceptionService {

    /**
     * 异常日志分页
     */
    Page<LogExceptionVo> getPage(LogExceptionSelectDto dto);

    /**
     * 异常日志明细
     */
    LogExceptionVo getDetail(Long id);

    /**
     * 异常日志删除
     */
    void delete(List<Long> idList);

    /**
     * 记录异常信息
     */
    void save(ExceptionEvent event);

}
